Uploaded image for project: 'Apache Arrow'
  1. Apache Arrow
  2. ARROW-7948

[Go][Integration] Decimal integration failures

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: Go, Integration
    • Labels:
      None

      Description

      If I un-skip decimal data for integrations tests with Go, I get some errors such as:

      ==========================================================
      Testing file /tmp/tmpkz1_ydgp/generated_decimal.json
      ==========================================================
      -- Creating binary inputs
      -- Validating file
      Traceback (most recent call last):
        File "/arrow/dev/archery/archery/integration/util.py", line 130, in run_cmd
          output = subprocess.check_output(cmd, stderr=subprocess.STDOUT)
        File "/opt/conda/envs/arrow/lib/python3.8/subprocess.py", line 411, in check_output
          return run(*popenargs, stdout=PIPE, timeout=timeout, check=True,
        File "/opt/conda/envs/arrow/lib/python3.8/subprocess.py", line 512, in run
          raise CalledProcessError(retcode, process.args,
      subprocess.CalledProcessError: Command '['/opt/go/bin/arrow-json-integration-test', '-arrow', '/tmp/tmpj9b4jgvi/10cae236_generated_decimal.json_as_file', '-json', '/tmp/tmpkz1_ydgp/generated_decimal.json', '-mode', 'VALIDATE']' returned non-zero exit status 1.
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "/arrow/dev/archery/archery/integration/runner.py", line 193, in _run_ipc_test_case
          run_binaries(producer, consumer, outcome, test_case)
        File "/arrow/dev/archery/archery/integration/runner.py", line 219, in _produce_consume
          consumer.validate(json_path, producer_file_path)
        File "/arrow/dev/archery/archery/integration/tester_go.py", line 55, in validate
          return self._run(arrow_path, json_path, 'VALIDATE')
        File "/arrow/dev/archery/archery/integration/tester_go.py", line 52, in _run
          run_cmd(cmd)
        File "/arrow/dev/archery/archery/integration/util.py", line 139, in run_cmd
          raise RuntimeError(sio.getvalue())
      RuntimeError: Command failed: ['/opt/go/bin/arrow-json-integration-test', '-arrow', '/tmp/tmpj9b4jgvi/10cae236_generated_decimal.json_as_file', '-json', '/tmp/tmpkz1_ydgp/generated_decimal.json', '-mode', 'VALIDATE']
      With output:
      --------------
      arrow-json: could not open JSON file reader from file "/tmp/tmpkz1_ydgp/generated_decimal.json": json: cannot unmarshal number into Go struct field dataType.precision of type string
      
      --------------
      

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              apitrou Antoine Pitrou
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: